package com.bjlt.spider.Service.impl;

import com.bjlt.spider.Service.AirSourceLineService;
import com.bjlt.spider.dao.AirSourceLineDao;
import com.bjlt.spider.entity.AirSourceLineVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.SQLException;
import java.util.List;


@Service
public class AirSourceLineServiceImpl implements AirSourceLineService {



    @Autowired
    AirSourceLineDao airSourceLineDao;


    /**
     * 查询
     * @param airSourceLineVo
     * @return
     * @throws SQLException
     */
    @Override
    public List<AirSourceLineVo> listPageAirSourceLine(AirSourceLineVo airSourceLineVo) throws SQLException {
        return airSourceLineDao.listPageAirSourceLine(airSourceLineVo);
    }

    /**
     * 修改
     * @param airSourceLineVo
     * @throws SQLException
     */
    @Override
    public void updateByPrimaryKeySelective(AirSourceLineVo airSourceLineVo) throws SQLException{
        airSourceLineDao.updateByPrimaryKeySelective(airSourceLineVo);
    }

    /**
     * 增加
     * @param airSourceLineVo
     */
    @Override
    public void insertSelective(AirSourceLineVo airSourceLineVo){
         airSourceLineDao.insertSelective(airSourceLineVo);
    }

    /**
     * 删除
     */
    @Override
    public void deleteAirSourceLine(String id){
airSourceLineDao.deleteAirSourceLine(id);
    }

    @Override
    public AirSourceLineVo selectById(String id) {



        return airSourceLineDao.selectById(id);
    }

    @Override
    public List<AirSourceLineVo> listAirSourceLine(AirSourceLineVo airSourceLineVo) {
        return airSourceLineDao.listAirSourceLine(airSourceLineVo);
    }
}
