package com.bjlt.spider.dao;

import com.bjlt.spider.entity.AirSourceLineVo;

import java.sql.SQLException;
import java.util.List;

public interface AirSourceLineDao {
    /**
     * 分页查询
     */
    List<AirSourceLineVo> listPageAirSourceLine(AirSourceLineVo airSourceLineVo) throws SQLException;

    /**
     * 修改
     */
    void  updateByPrimaryKeySelective(AirSourceLineVo vo)throws SQLException;

    /**
     * 增加
     */
    void insertSelective(AirSourceLineVo airSourceLineVo);

    /**
     * 删除
     */
    void deleteAirSourceLine(String id);

    /**
     * 根据id 查询
     * @param id
     * @return
     */
    AirSourceLineVo selectById(String id);

    List<AirSourceLineVo> listAirSourceLine(AirSourceLineVo airSourceLineVo);
}
