package com.bjlt.spider.dao.impl;

import com.bjlt.spider.dao.ScPolicyBakDao;
import com.bjlt.spider.entity.ScPolicyBak;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.*;

import org.springframework.stereotype.Repository;

import java.util.*;
import java.util.stream.*;
/**
* sc_policy_bak
*/
@Repository
public class ScPolicyBakDaoImpl implements ScPolicyBakDao {
	@Autowired
	private JdbcTemplate jdbcTemplate;
	@Override
	public List<ScPolicyBak> listPageScPolicyBak(ScPolicyBak scPolicyBak) {
		StringBuffer s=new StringBuffer();
		String select = "select id, air_source_group_id, cid, from_city, to_city, from_date_start, from_date_end, exclude_from_date_start, exclude_from_date_end, flight_number_limit_type, flight_number_limit, original_price, adjust_type, final_price, adjust_radio, add_or_subtract_money, score, low_price, up_price, edit_user, bidder, file_no, update_time, add_time, status, cabin_scope from sc_policy_bak ";
		s.append(select );
        Map<String,Object> m=map(scPolicyBak);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
		scPolicyBak.setTotal(count(where,m.values().toArray()));
		s.append(where);


		String limit = " limit " + (scPolicyBak.getStart()-1)*scPolicyBak.getSize() + "," + scPolicyBak.getSize();

		s.append(limit);
		RowMapper<ScPolicyBak> rowMapper = new BeanPropertyRowMapper<ScPolicyBak>(ScPolicyBak.class);
		List<ScPolicyBak> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

		return list;
	}



    @Override
    public void insertSelective(ScPolicyBak scPolicyBak) {
		StringBuffer s = new StringBuffer();
		s.append("insert into sc_policy_bak(");
        Map<String, Object> m = map(scPolicyBak);
        s.append(String.join(",", m.keySet()));
        s.append(") values (");
		List<String> wenhao = m.keySet().stream().map(t -> "?").collect(Collectors.toList());

	s.append(String.join(",", wenhao));
		s.append(")");
        System.out.println(s.toString());
        jdbcTemplate.update(s.toString(), m.values().toArray());
	}

    @Override
    public void updateByPrimaryKeySelective(ScPolicyBak scPolicyBak) {
		StringBuffer s = new StringBuffer();
		s.append("update sc_policy_bak set ");
        Map<String, Object> m = map(scPolicyBak);
        String update = m.keySet().stream().map(t -> t + "=?").collect(Collectors.joining(","));
        s.append(update);
        System.out.println(update);
        s.append(" where 	id=" + scPolicyBak.getId());
        jdbcTemplate.update(s.toString(), m.values().toArray());

	}



    @Override
    public List<ScPolicyBak> listScPolicyBak(ScPolicyBak scPolicyBak) {
        StringBuffer s=new StringBuffer();
        String select = "select id, air_source_group_id, cid, from_city, to_city, from_date_start, from_date_end, exclude_from_date_start, exclude_from_date_end, flight_number_limit_type, flight_number_limit, original_price, adjust_type, final_price, adjust_radio, add_or_subtract_money, score, low_price, up_price, edit_user, bidder, file_no, update_time, add_time, status, cabin_scope from sc_policy_bak ";
        s.append(select );
        Map<String,Object> m=map(scPolicyBak);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
        RowMapper<ScPolicyBak> rowMapper = new BeanPropertyRowMapper<ScPolicyBak>(ScPolicyBak.class);
        List<ScPolicyBak> list = jdbcTemplate.query(s.toString(), rowMapper,m.values().toArray());

        return list;
	}
    @Override
	public void  deleteScPolicyBak(ScPolicyBak scPolicyBak){
		StringBuffer s=new StringBuffer();
		String select = "delete  from sc_policy_bak ";
        Map<String,Object> m=map(scPolicyBak);
        s.append(select);
        String where = "where 1=1 " + m.keySet().stream().map(t -> " and " + t + "=?").collect(Collectors.joining(" "));
        s.append(where);
		jdbcTemplate.update(s.toString(),m.values().toArray());

	}
	private static Map<String,Object> map(ScPolicyBak scPolicyBak) {
		Map<String,Object> map=new HashMap();
    	if (scPolicyBak.getId() != null) {
            map.put("id",scPolicyBak.getId());
    	}
    	if (scPolicyBak.getAirSourceGroupId() != null) {
            map.put("air_source_group_id",scPolicyBak.getAirSourceGroupId());
    	}
    	if (scPolicyBak.getCid() != null && !scPolicyBak.getCid().equals("")) {
            map.put("cid",scPolicyBak.getCid());
    	}
    	if (scPolicyBak.getFromCity() != null && !scPolicyBak.getFromCity().equals("")) {
            map.put("from_city",scPolicyBak.getFromCity());
    	}
    	if (scPolicyBak.getToCity() != null && !scPolicyBak.getToCity().equals("")) {
            map.put("to_city",scPolicyBak.getToCity());
    	}
    	if (scPolicyBak.getFromDateStart() != null && !scPolicyBak.getFromDateStart().equals("")) {
            map.put("from_date_start",scPolicyBak.getFromDateStart());
    	}
    	if (scPolicyBak.getFromDateEnd() != null && !scPolicyBak.getFromDateEnd().equals("")) {
            map.put("from_date_end",scPolicyBak.getFromDateEnd());
    	}
    	if (scPolicyBak.getExcludeFromDateStart() != null && !scPolicyBak.getExcludeFromDateStart().equals("")) {
            map.put("exclude_from_date_start",scPolicyBak.getExcludeFromDateStart());
    	}
    	if (scPolicyBak.getExcludeFromDateEnd() != null && !scPolicyBak.getExcludeFromDateEnd().equals("")) {
            map.put("exclude_from_date_end",scPolicyBak.getExcludeFromDateEnd());
    	}
    	if (scPolicyBak.getFlightNumberLimitType() != null) {
            map.put("flight_number_limit_type",scPolicyBak.getFlightNumberLimitType());
    	}
    	if (scPolicyBak.getFlightNumberLimit() != null && !scPolicyBak.getFlightNumberLimit().equals("")) {
            map.put("flight_number_limit",scPolicyBak.getFlightNumberLimit());
    	}
    	if (scPolicyBak.getOriginalPrice() != null) {
            map.put("original_price",scPolicyBak.getOriginalPrice());
    	}
    	if (scPolicyBak.getAdjustType() != null && !scPolicyBak.getAdjustType().equals("")) {
            map.put("adjust_type",scPolicyBak.getAdjustType());
    	}
    	if (scPolicyBak.getFinalPrice() != null) {
            map.put("final_price",scPolicyBak.getFinalPrice());
    	}
    	if (scPolicyBak.getAdjustRadio() != null && !scPolicyBak.getAdjustRadio().equals("")) {
            map.put("adjust_radio",scPolicyBak.getAdjustRadio());
    	}
    	if (scPolicyBak.getAddOrSubtractMoney() != null && !scPolicyBak.getAddOrSubtractMoney().equals("")) {
            map.put("add_or_subtract_money",scPolicyBak.getAddOrSubtractMoney());
    	}
    	if (scPolicyBak.getScore() != null && !scPolicyBak.getScore().equals("")) {
            map.put("score",scPolicyBak.getScore());
    	}
    	if (scPolicyBak.getLowPrice() != null) {
            map.put("low_price",scPolicyBak.getLowPrice());
    	}
    	if (scPolicyBak.getUpPrice() != null) {
            map.put("up_price",scPolicyBak.getUpPrice());
    	}
    	if (scPolicyBak.getEditUser() != null && !scPolicyBak.getEditUser().equals("")) {
            map.put("edit_user",scPolicyBak.getEditUser());
    	}
    	if (scPolicyBak.getBidder() != null && !scPolicyBak.getBidder().equals("")) {
            map.put("bidder",scPolicyBak.getBidder());
    	}
    	if (scPolicyBak.getFileNo() != null && !scPolicyBak.getFileNo().equals("")) {
            map.put("file_no",scPolicyBak.getFileNo());
    	}
    	if (scPolicyBak.getUpdateTime() != null && !scPolicyBak.getUpdateTime().equals("")) {
            map.put("update_time",scPolicyBak.getUpdateTime());
    	}
    	if (scPolicyBak.getAddTime() != null && !scPolicyBak.getAddTime().equals("")) {
            map.put("add_time",scPolicyBak.getAddTime());
    	}
    	if (scPolicyBak.getStatus() != null) {
            map.put("status",scPolicyBak.getStatus());
    	}
    	if (scPolicyBak.getCabinScope() != null && !scPolicyBak.getCabinScope().equals("")) {
            map.put("cabin_scope",scPolicyBak.getCabinScope());
    	}

		return map;

	}
	private Integer count(String where,Object[] objects) {
		String sql = "select count(*) from sc_policy_bak " + where;
		return jdbcTemplate.queryForObject(sql, Integer.class,objects);
	}




}
