package com.bjlt.spider.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * sc_policy_bak
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ScPolicyBak  extends Page {

	/**
	   
	 */
	private Integer id;
	
	/**
	   
	 */
	private Integer airSourceGroupId;
	
	/**
	   
	 */
	private String cid;
	
	/**
	   
	 */
	private String fromCity;
	
	/**
	   
	 */
	private String toCity;
	
	/**
	   
	 */
	private String fromDateStart;
	
	/**
	   
	 */
	private String fromDateEnd;
	
	/**
	   
	 */
	private String excludeFromDateStart;
	
	/**
	   
	 */
	private String excludeFromDateEnd;
	
	/**
	   
	 */
	private Integer flightNumberLimitType;
	
	/**
	   
	 */
	private String flightNumberLimit;
	
	/**
	   
	 */
	private java.math.BigDecimal originalPrice;
	
	/**
	   0固定价格，1加减钱
	 */
	private String adjustType;
	
	/**
	   
	 */
	private java.math.BigDecimal finalPrice;
	
	/**
	   
	 */
	private String adjustRadio;
	
	/**
	   
	 */
	private String addOrSubtractMoney;
	
	/**
	   
	 */
	private String score;
	
	/**
	   
	 */
	private java.math.BigDecimal lowPrice;
	
	/**
	   
	 */
	private java.math.BigDecimal upPrice;
	
	/**
	   
	 */
	private String editUser;
	
	/**
	   
	 */
	private String bidder;
	
	/**
	   
	 */
	private String fileNo;
	
	/**
	   
	 */
	private String updateTime;
	
	/**
	   
	 */
	private String addTime;
	
	/**
	   
	 */
	private Integer status;
	
	/**
	   
	 */
	private String cabinScope;
	
		

	
	
	
	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	} 
	
	public Integer getAirSourceGroupId() {
		return airSourceGroupId;
	}

	public void setAirSourceGroupId(Integer airSourceGroupId) {
		this.airSourceGroupId = airSourceGroupId;
	} 
	
	public String getCid() {
		return cid;
	}

	public void setCid(String cid) {
		this.cid = cid;
	} 
	
	public String getFromCity() {
		return fromCity;
	}

	public void setFromCity(String fromCity) {
		this.fromCity = fromCity;
	} 
	
	public String getToCity() {
		return toCity;
	}

	public void setToCity(String toCity) {
		this.toCity = toCity;
	} 
	
	public String getFromDateStart() {
		return fromDateStart;
	}

	public void setFromDateStart(String fromDateStart) {
		this.fromDateStart = fromDateStart;
	} 
	
	public String getFromDateEnd() {
		return fromDateEnd;
	}

	public void setFromDateEnd(String fromDateEnd) {
		this.fromDateEnd = fromDateEnd;
	} 
	
	public String getExcludeFromDateStart() {
		return excludeFromDateStart;
	}

	public void setExcludeFromDateStart(String excludeFromDateStart) {
		this.excludeFromDateStart = excludeFromDateStart;
	} 
	
	public String getExcludeFromDateEnd() {
		return excludeFromDateEnd;
	}

	public void setExcludeFromDateEnd(String excludeFromDateEnd) {
		this.excludeFromDateEnd = excludeFromDateEnd;
	} 
	
	public Integer getFlightNumberLimitType() {
		return flightNumberLimitType;
	}

	public void setFlightNumberLimitType(Integer flightNumberLimitType) {
		this.flightNumberLimitType = flightNumberLimitType;
	} 
	
	public String getFlightNumberLimit() {
		return flightNumberLimit;
	}

	public void setFlightNumberLimit(String flightNumberLimit) {
		this.flightNumberLimit = flightNumberLimit;
	} 
	
	public java.math.BigDecimal getOriginalPrice() {
		return originalPrice;
	}

	public void setOriginalPrice(java.math.BigDecimal originalPrice) {
		this.originalPrice = originalPrice;
	} 
	
	public String getAdjustType() {
		return adjustType;
	}

	public void setAdjustType(String adjustType) {
		this.adjustType = adjustType;
	} 
	
	public java.math.BigDecimal getFinalPrice() {
		return finalPrice;
	}

	public void setFinalPrice(java.math.BigDecimal finalPrice) {
		this.finalPrice = finalPrice;
	} 
	
	public String getAdjustRadio() {
		return adjustRadio;
	}

	public void setAdjustRadio(String adjustRadio) {
		this.adjustRadio = adjustRadio;
	} 
	
	public String getAddOrSubtractMoney() {
		return addOrSubtractMoney;
	}

	public void setAddOrSubtractMoney(String addOrSubtractMoney) {
		this.addOrSubtractMoney = addOrSubtractMoney;
	} 
	
	public String getScore() {
		return score;
	}

	public void setScore(String score) {
		this.score = score;
	} 
	
	public java.math.BigDecimal getLowPrice() {
		return lowPrice;
	}

	public void setLowPrice(java.math.BigDecimal lowPrice) {
		this.lowPrice = lowPrice;
	} 
	
	public java.math.BigDecimal getUpPrice() {
		return upPrice;
	}

	public void setUpPrice(java.math.BigDecimal upPrice) {
		this.upPrice = upPrice;
	} 
	
	public String getEditUser() {
		return editUser;
	}

	public void setEditUser(String editUser) {
		this.editUser = editUser;
	} 
	
	public String getBidder() {
		return bidder;
	}

	public void setBidder(String bidder) {
		this.bidder = bidder;
	} 
	
	public String getFileNo() {
		return fileNo;
	}

	public void setFileNo(String fileNo) {
		this.fileNo = fileNo;
	} 
	
	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	} 
	
	public String getAddTime() {
		return addTime;
	}

	public void setAddTime(String addTime) {
		this.addTime = addTime;
	} 
	
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	} 
	
	public String getCabinScope() {
		return cabinScope;
	}

	public void setCabinScope(String cabinScope) {
		this.cabinScope = cabinScope;
	} 
	

}
