package com.bjlt.spider.Service.impl;

import com.bjlt.spider.Service.ScCitycurrencyService;
import com.bjlt.spider.dao.ScCitycurrencyDao;
import com.bjlt.spider.entity.ScCitycurrency;
import com.bjlt.spider.util.RespEntity;
import com.luyn.date.DatePattren;
import com.luyn.date.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * sc_citycurrency
 */
@Service
public  class ScCitycurrencyServiceImpl implements ScCitycurrencyService {
    @Autowired
	private ScCitycurrencyDao scCitycurrencyDao;
	
	@Override
	public List<ScCitycurrency> listPageScCitycurrency(ScCitycurrency scCitycurrency){
		return scCitycurrencyDao.listPageScCitycurrency(scCitycurrency);
	}

	@Override
	public List<ScCitycurrency> listScCitycurrency(ScCitycurrency scCitycurrency){
	    return scCitycurrencyDao.listScCitycurrency(scCitycurrency);
	}  

	
	@Override
	public RespEntity  deleteScCitycurrency(ScCitycurrency scCitycurrency){
		try {
			scCitycurrencyDao.deleteScCitycurrency(scCitycurrency);
		} catch (Exception e) {
			e.printStackTrace();
			RespEntity.error("false");
		}
		return  RespEntity.success("true");
	}
	

	
	@Override
	public RespEntity insertSelective(ScCitycurrency scCitycurrency){

		try {
			scCitycurrency.setAddTime(DateUtil.getFormatDate(new Date(), DatePattren.TIME_FORMAT));
			scCitycurrencyDao.insertSelective(scCitycurrency);
		} catch (Exception e) {
			e.printStackTrace();
			return RespEntity.error("false");
		}
		return  RespEntity.success("true");
	}
	
	@Override
	public RespEntity updateByPrimaryKeySelective(ScCitycurrency scCitycurrency){
		try {
			scCitycurrencyDao.updateByPrimaryKeySelective(scCitycurrency);
		} catch (Exception e) {
			e.printStackTrace();
			return RespEntity.error("false");
		}
		return RespEntity.success("true");
	}
	
}