package com.bjlt.spider.controller;

import com.bjlt.spider.Service.ScPolicyBakService;
import com.bjlt.spider.entity.ScPolicyBak;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.stereotype.Controller;
import org.springframework.web.servlet.ModelAndView;


import java.util.*;

@Controller
@Slf4j
@RequestMapping(value = "/scPolicyBak")
public class ScPolicyBakController {

	@Autowired
	private ScPolicyBakService scPolicyBakService;


	/**
	 * 显示列表
	 * @param scPolicyBak
	 * @return
	 */
	@RequestMapping("list")
    @ResponseBody
	public  Map<String, Object> list(ScPolicyBak scPolicyBak) {
		List<ScPolicyBak> scPolicyBakList = scPolicyBakService.listPageScPolicyBak(scPolicyBak);
		int totalPage = scPolicyBak.getTotal() / scPolicyBak.getSize();
		if (scPolicyBak.getTotal() % scPolicyBak.getSize() != 0) {
  			totalPage++;
		}
		int finalTotalPage = totalPage;
		return new HashMap<String, Object>() {{
			put("list", scPolicyBakList);
			put("total", scPolicyBak.getTotal());
			put("totalPage", finalTotalPage);
		}};
	}
	


}
